require 'training_schedule_parser'

module Lita
  module Handlers
    class HalfMarathonTrainer < Handler
      route(/^train\s+(.+)/, :train, command: true)

      route(/^train$/, :train, command: true, help: {
        "lita train" => "Replies back with today's training.",
        "lita train today" => "Replies back with today's training.",
        "lita train week" => "Replies back with this week's training."
      })

      def train(req)
        match = req.match_data[1] ? req.match_data[1] : 'today'
        req.reply TrainingSchedulerParser.new(match).perform
      end

      Lita.register_handler(self)
    end
  end
end
